# pb_ds::detail::priority_queue_base_dispatch< Value_Type, Cmp_Fn, pairing_heap_tag, Allocator > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Value_Type, typename Cmp_Fn, typename Allocator>
struct pb_ds::detail::priority_queue_base_dispatch< Value_Type, Cmp_Fn, pairing_heap_tag, Allocator >

Definition at line 65 of file priority_queue_base_dispatch.hpp.

## Public Types

- typedef pairing_heap_< Value_Type,
  Cmp_Fn, Allocator > type

The documentation for this struct was generated from the following file:

- priority_queue_base_dispatch.hpp